Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: Vmware 7 doesn't install on Opensuse 11.3

  1. #1

    Default Vmware 7 doesn't install on Opensuse 11.3

    I can't get Vmware Workstation 7.1 to install on 11.3.

    Nothing to be found in VMware logfiles, the installer just rolls back the installation.

    Is there anyone who has any idea on how to make it work?

    (I install all the required modules by the way)

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,874
    Blog Entries
    15

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    Quote Originally Posted by duderuud
    I can't get Vmware Workstation 7.1 to install on 11.3.

    Nothing to be found in VMware logfiles, the installer just rolls back
    the installation.

    Is there anyone who has any idea on how to make it work?

    (I install all the required modules by the way)

    Hi
    Where does the install stop? If it's at the vmci and vmnet modules
    there is a patch to apply?

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.13-0.4-default
    up 1 day 15:32, 2 users, load average: 0.05, 0.07, 0.01
    GPU GeForce 8600 GTS Silent - Driver Version: 256.35


  3. #3

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    The installer doesn't even come to that. It rolls back just after the VMWare Installer is being installed, it looks like it happens just before VMWare Tools.

  4. #4

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    The installer doesn't even come to that. It rolls back just after the VMWare Installer is being installed, it looks like it happens just before VMWare Tools.

    Ah, found installer log:

    Code:
    [2010-07-16 16:31:52,399]
    [2010-07-16 16:31:52,399]
    [2010-07-16 16:31:52,399] Installer running.
    [2010-07-16 16:31:52,399] Command Line Arguments:
    [2010-07-16 16:31:52,399] ['/tmp/vmis.HNUIDS/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '/tmp/vmis.HNUIDS/install$
    Failed to get value for `/desktop/gnome/interface/accessibility': Failed to contact configuration server; some possible causes are that you need to enable TCP/IP net$
    Failed to get value for `/desktop/gnome/interface/accessibility': Failed to contact configuration server; some possible causes are that you need to enable TCP/IP net$
    [2010-07-16 16:31:52,488] Successfully loaded GTK libraries.
    [2010-07-16 16:31:52,514] Using UI type gtk
    [2010-07-16 16:31:52,534] Opening database file /etc/vmware-installer/database
    [2010-07-16 16:31:52,790] Could not locate installer App Control.
    [2010-07-16 16:31:52,793] Opening database file /etc/vmware-installer/database
    [2010-07-16 16:31:52,861] destination /tmp/tmpRm1zAi/.installer/8.4.2/include/update.py already exists, overwriting.
    [2010-07-16 16:31:52,862] destination /tmp/tmpRm1zAi/.installer/8.4.2/__init__.py already exists, overwriting.
    [2010-07-16 16:31:52,868] destination /tmp/tmpRm1zAi/.installer/8.4.2/include/update.py already exists, overwriting.
    [2010-07-16 16:31:52,870] destination /tmp/tmpRm1zAi/.installer/8.4.2/__init__.py already exists, overwriting.
    [2010-07-16 16:31:52,876] destination /tmp/tmpRm1zAi/.installer/8.4.2/include/update.py already exists, overwriting.
    [2010-07-16 16:31:52,877] destination /tmp/tmpRm1zAi/.installer/8.4.2/__init__.py already exists, overwriting.
    [2010-07-16 16:31:52,883] destination /tmp/tmpRm1zAi/.installer/8.4.2/include/update.py already exists, overwriting.
    [2010-07-16 16:31:52,885] destination /tmp/tmpRm1zAi/.installer/8.4.2/__init__.py already exists, overwriting.
    [2010-07-16 16:31:52,897] destination /tmp/tmpRm1zAi/.installer/8.4.2/include/update.py already exists, overwriting.
    [2010-07-16 16:31:52,899] destination /tmp/tmpRm1zAi/.installer/8.4.2/__init__.py already exists, overwriting.
    [2010-07-16 16:31:52,916] destination /tmp/tmpRm1zAi/.installer/3.1.0/__init__.py already exists, overwriting.
    [2010-07-16 16:31:52,921] destination /tmp/tmpRm1zAi/.installer/3.1.0/include/update.py already exists, overwriting.
    [2010-07-16 16:31:53,068] 8192
    [2010-07-16 16:31:56,681] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.
    [2010-07-16 16:31:56,693] Ignored execution error: [Errno 2] No such file or directory when running command: [path('/etc/init.d/vmware'), 'stoppable']
    [2010-07-16 16:31:57,938] /tmp/vmis.HNUIDS/install/vmware-installer/vmis/ui/gui.py:796: GtkWarning: gtk_box_pack: assertion `child->parent == NULL' failed
      self._content.pack_start(self._error, False)
    
    [2010-07-16 16:32:09,438] [vmware-tools-linux 8.4.2] Failed to copy file from linux.iso to /usr/lib/vmware/isoimages/linux.iso
    Traceback (most recent call last):
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/component.py", line 193, in doit
        data = fileobj.read(10485760) # Read 10 MB at once.  Not too large to fill
      File "/tmp/vmis.HNUIDS/install/vmware-installer/python/lib/gzip.py", line 227, in read
        self._read(readsize)
      File "/tmp/vmis.HNUIDS/install/vmware-installer/python/lib/gzip.py", line 279, in _read
        uncompress = self.decompress.decompress(buf)
    error: Error -3 while decompressing: invalid stored block lengths
    [2010-07-16 16:32:09,448] [vmware-tools-linux 8.4.2] Installation failed, rolling back installation.
    [2010-07-16 16:32:09,626] Top level exception handler
    Traceback (most recent call last):
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/transaction.py", line 414, in RunThreadedTransaction
        txn.Run()
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/transaction.py", line 76, in Run
        self.get()()
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/common.py", line 138, in Show
        i.Execute(txn.temp, onProgress)
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/install.py", line 372, in Execute
        for filePath in source.Install(self._installer.component, dest, self.PreCopy):
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/files.py", line 211, in Install
        component.CopyFile(entry, fileDest)
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/component.py", line 211, in CopyFile
        doit(self, source, dest)
      File "/tmp/vmis.HNUIDS/install/vmware-installer/vmis/core/component.py", line 193, in doit
        data = fileobj.read(10485760) # Read 10 MB at once.  Not too large to fill
      File "/tmp/vmis.HNUIDS/install/vmware-installer/python/lib/gzip.py", line 227, in read
        self._read(readsize)
      File "/tmp/vmis.HNUIDS/install/vmware-installer/python/lib/gzip.py", line 279, in _read
        uncompress = self.decompress.decompress(buf)
    error: Error -3 while decompressing: invalid stored block lengths

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,874
    Blog Entries
    15

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    Quote Originally Posted by duderuud
    The installer doesn't even come to that. It rolls back just after the
    VMWare Installer is being installed, it looks like it happens just
    before VMWare Tools.
    Hi
    So the downloaded installer is a fresh download, or you have used the
    same file before? If it's a new download, have you checked the md5sum.

    Is it the rpm your installing or is it the bundle? (I still have 6.5.4
    here...)

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.13-0.4-default
    up 1 day 17:12, 2 users, load average: 0.04, 0.05, 0.00
    GPU GeForce 8600 GTS Silent - Driver Version: 256.35


  6. #6

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    Hello,

    I installed VMware 7.1 successfully. But when I start VMware, I get this message:

    "C header files matching your running kernel were not found. Refer to your distribution's documentation for installation instructions."

    Kernel headers 2.6.34-12-desktop:
    Kernel headers for version 2.6.34-12-desktop were not found. If you installed them in a non-default path you can specify the path below. Otherwise refer to your distribution's documentation for installation instructions and click Refresh to search again in default locations.

    Could someone help?

    Thanks

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,874
    Blog Entries
    15

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    Quote Originally Posted by arbask
    Hello,

    I installed VMware 7.1 successfully. But when I start VMware, I get
    this message:

    "C header files matching your running kernel were not found. Refer to
    your distribution's documentation for installation instructions."

    Kernel headers 2.6.34-12-desktop:
    Kernel headers for version 2.6.34-12-desktop were not found. If you
    installed them in a non-default path you can specify the path below.
    Otherwise refer to your distribution's documentation for installation
    instructions and click Refresh to search again in default locations.

    Could someone help?

    Thanks

    Hi
    You need to install kernel-source, kernel-syms, linux-kernel-headers,
    make and gcc.

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.13-0.4-default
    up 1 day 5:16, 2 users, load average: 0.01, 0.03, 0.00
    GPU GeForce 8600 GTS Silent - Driver Version: 256.35


  8. #8

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    Quote Originally Posted by malcolmlewis View Post
    Hi
    So the downloaded installer is a fresh download, or you have used the
    same file before? If it's a new download, have you checked the md5sum.
    Ha, thanks man, that was it! MD5 didn't check out. Stupid I didn't check that one out first....but hey, this is the first time for me an MD5 check was needed

    Thanks again!

  9. #9

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    Same problem here,

    running: Opensuse 11.3 (i586), VMware Workstation 7.0.1

    here is the final syslog file:

    Code:
    Jul 26 14:13:20.937: app-3076970176| Log for VMware Workstation pid=29536 version=7.1.0 build=build-261024 option=Release
    Jul 26 14:13:20.937: app-3076970176| The process is 32-bit.
    Jul 26 14:13:20.937: app-3076970176| Host codepage=UTF-8 encoding=UTF-8
    Jul 26 14:13:20.937: app-3076970176| Logging to /tmp/vmware-root/setup-29536.log
    Jul 26 14:13:21.108: app-3076970176| System distribution is SuSE
    Jul 26 14:13:21.108: app-3076970176| System version is 11.3
    Jul 26 14:13:21.108: app-3076970176| modconf query interface initialized
    Jul 26 14:13:21.108: app-3076970176| modconf library initialized
    Jul 26 14:13:21.151: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.153: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.153: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.157: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.159: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.159: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.170: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.172: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.173: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.188: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.190: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.190: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.201: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.203: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.203: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.250: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.257: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.262: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.267: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.272: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.301: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.306: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.313: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.319: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.325: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.328: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.330: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.330: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.341: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.343: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.343: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.390: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.394: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.400: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.405: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.411: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.415: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.417: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.417: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.441: app-3076970176| Searching for GCC 4.5.
    Jul 26 14:13:21.443: app-3076970176| Kernel compiled with: GCC 4.5
    Jul 26 14:13:21.443: app-3076970176| Your GCC version: 4.5
    Jul 26 14:13:21.516: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.522: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.527: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.531: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.536: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.827: app-3076970176| Trying to find a suitable PBM set for kernel 2.6.34-12-default.
    Jul 26 14:13:21.827: app-3076970176| Building module vmmon.
    Jul 26 14:13:21.828: app-3076970176| Extracting the sources of the vmmon module.
    Jul 26 14:13:21.843: app-3076970176| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/2.6.34-12-default/build/include CC=/usr/bin/gcc-4.5 GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.5
    Jul 26 14:13:22.214: app-3076970176| Failed to compile module vmmon!
    I have not idea why it can not compile the vmmon module even that all pre-requisites have been met, gcc45, kernel headers, kernel devel, make, insmode, rmmode, etc.

    help here would be greatly appreciated folks.

  10. #10

    Default Re: Vmware 7 doesn't install on Opensuse 11.3

    If your having trouble compiling the vmware, you'll probably have to make a symlink in
    Code:
    /usr/src/linux-2.6.34-12/include/linux
    that points to
    Code:
    /usr/src/linux-2.6.34-12-obj/x86_64/desktop/include/generated/autoconf.h
    so something like :
    Code:
    ln -s /usr/src/linux-2.6.34-12-obj/x86_64/desktop/include/generated/autoconf.h /usr/src/linux-2.6.34-12/include/linux/autoconf.h
    this shopuld allow you to compile the necessary modules for vmware.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •